This queue is for tickets about the Module-Install CPAN distribution.

Report information
The Basics
Id:
84164
Status:
resolved
Priority:
Low/Low

People
Owner:
Nobody in particular
Requestors:
perl [...] toby.ink
Cc:
AdminCc:

BugTracker
Severity:
Important
Broken in:
  • 1.00
  • 1.01
  • 1.02
  • 1.03
  • 1.04
  • 1.05
  • 1.06
Fixed in:
1.08



Subject: name_from's regex doesn't allow for Perl 5.12 and Perl 5.14's new package syntaxes
Perl 5.12 introduced: package Foo::Bar 1.23; ...; Perl 5.14 introduced: package Foo::Bar { ... } and they can be combined as: package Foo::Bar 1.23 { ... } The name_from regex doesn't support any of the above. It expects the package name to be followed by optional whitespace then a semicolon.
On Sun Mar 23 17:08:48 2014, bowtie wrote:
Show quoted text
Huzzah! Closing! (You rock, by the way!)


This service runs on Request Tracker, is sponsored by The Perl Foundation, and maintained by Best Practical Solutions.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.